summaryrefslogtreecommitdiff
path: root/tests/dd/stats.sh
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2015-12-31 11:43:09 -0800
committerPaul Eggert <eggert@cs.ucla.edu>2015-12-31 11:49:55 -0800
commit8f9bf300174afa9b29027542ec59892f610c08e4 (patch)
tree349c787e6aec9ae9dc1447936897da5e44320683 /tests/dd/stats.sh
parent26323928d9b045c29c02028bf30823ead0b0be75 (diff)
downloadcoreutils-8f9bf300174afa9b29027542ec59892f610c08e4.tar.xz
dd: summarize in --human-readable format too
Problem reported by Linda Walsh in: http://bugs.gnu.org/17505 * NEWS: Document this. * doc/coreutils.texi (dd invocation): Use a simpler script. Adjust output example to match new behavior. * src/dd.c (human_size): Remove. All uses changed to use human_readable and ... (human_opts): ... this new constant. (abbreviation_lacks_prefix): New function. (print_xfer_stats): Use it. Output both --si and --human-readable summaries, but only if they have prefixes. * tests/dd/reblock.sh, tests/dd/stats.sh: Test new behavior.
Diffstat (limited to 'tests/dd/stats.sh')
-rwxr-xr-xtests/dd/stats.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/dd/stats.sh b/tests/dd/stats.sh
index da2c2d25f..f2cbef94b 100755
--- a/tests/dd/stats.sh
+++ b/tests/dd/stats.sh
@@ -60,14 +60,14 @@ for open in '' '1'; do
wait
# Ensure all data processed and at least last status written
- grep '250000000 bytes .* copied' err || { cat err; fail=1; }
+ grep '250000000 bytes (250 MB, 238 MiB) copied' err || { cat err; fail=1; }
done
progress_output()
{
{ sleep "$1"; echo 1; } | dd bs=1 status=progress of=/dev/null 2>err
- # Progress output should be for "byte ... copied", while final is "bytes ..."
- grep 'byte .* copied' err
+ # Progress output should be for "byte copied", while final is "bytes ..."
+ grep 'byte copied' err
}
retry_delay_ progress_output 1 4 || { cat err; fail=1; }